Bug 1135787 - (CVE-2019-12217) VUL-1: CVE-2019-12217: SDL_image, SDL2_image: NULL pointer dereference in the SDL stdio_read function
(CVE-2019-12217)
VUL-1: CVE-2019-12217: SDL_image, SDL2_image: NULL pointer dereference in the...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Security
Leap 15.0
Other Other
: P4 - Low : Minor (vote)
: ---
Assigned To: Security Team bot
E-mail List
https://smash.suse.de/issue/233336/
CVSSv2:NVD:CVE-2019-12217:4.3:(AV:N/A...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-05-21 14:01 UTC by Alexandros Toptsoglou
Modified: 2020-01-16 13:52 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
loadtif.c (289 bytes, text/x-csrc)
2019-05-21 15:29 UTC, Marcus Meissner
Details
CVE-2019-12217.pcx (144 bytes, image/vnd.zbrush.pcx)
2019-05-21 15:30 UTC, Marcus Meissner
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2019-05-21 14:01:46 UTC
CVE-2019-12217

An issue was discovered in libSDL2.a in Simple DirectMedia Layer (SDL) 2.0.9
when used in conjunction with libSDL2_image.a in SDL2_image 2.0.4. There is a
NULL pointer dereference in the SDL stdio_read function in file/SDL_rwops.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2019-12217
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-12217
https://bugzilla.libsdl.org/show_bug.cgi?id=4626
Comment 1 Alexandros Toptsoglou 2019-05-21 14:02:47 UTC
There is no fix available yet. Tracked that all of our codestreams are affected
Comment 2 Marcus Meissner 2019-05-21 15:29:51 UTC
Created attachment 805631 [details]
loadtif.c

QA REPRODUCER:

gcc -o loadtif loadtif.c -lSDL2_image -I/usr/include/SDL2 -lSDL2
Comment 3 Marcus Meissner 2019-05-21 15:30:49 UTC
Created attachment 805632 [details]
CVE-2019-12217.pcx

QA REPRODUCER:

valgrind ./loadtif CVE-2019-12217.pcx 

should not crash:

==4669== Invalid write of size 1
==4669==    at 0x4C2F263: __GI_memcpy (in /usr/lib64/valgrind/vgpreload_memcheck-amd64-linux.so)
==4669==    by 0x53FE9A2: _IO_file_xsgetn (in /lib64/libc-2.22.so)
==4669==    by 0x53F457C: fread (in /lib64/libc-2.22.so)
==4669==    by 0x509642A: fread (stdio2.h:295)
==4669==    by 0x509642A: stdio_read (SDL_rwops.c:385)
==4669==    by 0x4E3E27D: IMG_LoadPCX_RW (IMG_pcx.c:158)
==4669==    by 0x4E3A15B: IMG_LoadTyped_RW (IMG.c:195)
==4669==    by 0x400758: main (in /suse/meissner/loadtif)
==4669==  Address 0x0 is not stack'd, malloc'd or (recently) free'd
Comment 4 Tomáš Chvátal 2019-07-11 11:42:23 UTC
This is automated batch bugzilla cleanup.

The openSUSE 42.3 changed to end-of-life (EOL [1]) status. As such
it is no longer maintained, which means that it will not receive any
further security or bug fix updates.
As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
openSUSE (At this moment openSUSE Leap 15.1, 15.0 and Tumbleweed) please
feel free to reopen this bug against that version (!you must update the
"Version" component in the bug fields, do not just reopen please), or
alternatively create a new ticket.

Thank you for reporting this bug and we are sorry it could not be fixed
during the lifetime of the release.

[1] https://en.opensuse.org/Lifetime
Comment 5 Marcus Meissner 2019-07-12 06:42:03 UTC
15.0, 15.1 and factory still unfixed
Comment 6 Swamp Workflow Management 2019-08-23 11:00:07 UTC
This is an autogenerated message for OBS integration:
This bug (1135787) was mentioned in
https://build.opensuse.org/request/show/725541 15.0 / SDL2_image
https://build.opensuse.org/request/show/725542 15.1 / SDL2_image
Comment 7 Swamp Workflow Management 2019-08-23 15:50:07 UTC
This is an autogenerated message for OBS integration:
This bug (1135787) was mentioned in
https://build.opensuse.org/request/show/725636 Factory / SDL2_image
https://build.opensuse.org/request/show/725637 15.0 / SDL2_image
https://build.opensuse.org/request/show/725638 15.1 / SDL2_image
Comment 8 Swamp Workflow Management 2019-09-05 13:13:04 UTC
openSUSE-SU-2019:2070-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1135787,1135789,1135796,1135806,1136101,1140419,1140421,1141844,1143763,1143764,1143766,1143768
CVE References: CVE-2019-12217,CVE-2019-12218,CVE-2019-12220,CVE-2019-12221,CVE-2019-12222,CVE-2019-13616,CVE-2019-5051,CVE-2019-5052,CVE-2019-5057,CVE-2019-5058,CVE-2019-5059,CVE-2019-5060
Sources used:
openSUSE Leap 15.1 (src):    SDL2_image-2.0.5-lp151.2.5.1
openSUSE Leap 15.0 (src):    SDL2_image-2.0.5-lp150.9.1
Comment 9 Swamp Workflow Management 2019-09-10 19:12:21 UTC
openSUSE-SU-2019:2108-1: An update that fixes 12 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1135787,1135789,1135796,1135806,1136101,1140419,1140421,1141844,1143763,1143764,1143766,1143768
CVE References: CVE-2019-12217,CVE-2019-12218,CVE-2019-12220,CVE-2019-12221,CVE-2019-12222,CVE-2019-13616,CVE-2019-5051,CVE-2019-5052,CVE-2019-5057,CVE-2019-5058,CVE-2019-5059,CVE-2019-5060
Sources used:
openSUSE Backports SLE-15-SP1 (src):    SDL2_image-2.0.5-bp151.4.3.1
openSUSE Backports SLE-15 (src):    SDL2_image-2.0.5-bp150.3.6.1
Comment 10 Alexandros Toptsoglou 2020-01-16 13:52:12 UTC
all done. Fixed